package com.cool.store.enums.close;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 新管家退管单支付状态枚举类
 * </p>
 *
 * @author wangff
 * @since 2025/11/28
 */
@Getter
@AllArgsConstructor
public enum XgjRefundPayStatusEnum {

    APPROVING("APPROVING", "审批中"),
    ABANDON("ABANDON", "作废"),
    SETTLEMENT("SETTLEMENT", "结算中"),
    PAY_SUCCESS("PAY_SUCCESS", "支付成功"),
    PAY_FAIL("PAY_FAIL", "支付失败"),
    REJECTED("REJECTED", "驳回")
    ;

    private final String status;

    private final String desc;
}
